System.ServiceModel 4.0.0.0 System.Object System.ServiceModel.Description.IEndpointBehavior

A transport that is configured with this behavior attempts to batch several receive operations into one transaction. By doing so, the relatively high cost of creating a transaction and committing it in every receive operation is avoided.

Represents a behavior that optimizes the receive operations for transports that support transactional receives.

- Constructor
  4.0.0.0

  The value passed into the constructor is only a hint. It is possible that all messages are received before reaching the . When that occurs, it is unnecessary to wait indefinitely for another message to be received. To prevent this from happening, indigo2 commits the batch early and open a new batch to receive additional messages. The batch is committed if there are no messages to be received and 20 percent of the transaction time-out value has elapsed.

  Initializes a new instance of the class with the specified batch size.

  The maximum number of receive operations that can be batched together.
- Property
  4.0.0.0
  System.Int32 To be added.

  The value is only a hint. It is possible that all messages are received before reaching the . When that occurs, it is unnecessary to wait indefinitely for another message to be received. To prevent this from happening, indigo2 commits the batch early and open a new batch to receive additional messages. The batch is committed if there are no messages to be received and 20 percent of the transaction time-out value has elapsed.

  Gets or sets the maximum number of receive operations that can be batched together in one transaction.

- Method
  4.0.0.0
  System.Void `` `` To be added. To be added.

  Enables you to add additional binding parameters to the specified service endpoint. This is normally used when working with a custom binding.

  Applies binding settings to the specified service endpoint. This method cannot be inherited.

- Method
  4.0.0.0
  System.Void `` `` To be added.

  Applies transaction batching behavior settings to the specified service endpoint. This method cannot be inherited.

  A service endpoint where behavior settings are applied. Contains the transaction batching behavior.
- Method
  4.0.0.0
  System.Void `` `` To be added.

  This method is called by indigo2 to associate a service endpoint with an endpoint dispatcher.

  Associates an endpoint dispatcher with the specified service endpoint. This method cannot be inherited.

  A service endpoint where behavior settings are applied.
- Method
  4.0.0.0
  System.Void ``

  This method is called by indigo2 to ensure that batching is available only for bindings that support transacted receive operations.

  Ensures that transacted batching is applicable only for the bindings that support transacted receive operation. This method cannot be inherited.

  A service endpoint for which batching behavior is validated.